using System;
using System.Collections.Generic;
using System.Linq;
using System.Web;
using System.Web.UI;
using System.Web.UI.WebControls;

namespace QW2021C.Administration
{
    public partial class Anmeldungen : System.Web.UI.Page
    {
        Helper.wettkampf wettk = new Helper.wettkampf();
        protected void Page_Load(object sender, EventArgs e)
        {
            try
            {
                if (Session["LoggedIn"].ToString() == "False")
                {
                    Response.Redirect("~/default.aspx");
                    return;
                }
            }
            catch
            {
                Response.Redirect("~/default.aspx");
                return;

            }
            //if (Page.IsPostBack == true) return;

            //var index = this.Anmeldegrid.Columns.FindIndex(col => col.Field == "Wettkampf1");
            //this.Anmeldegrid.Columns.ElementAt(index).AllowEditing = wettk.ar1;
            //var index2 = this.Anmeldegrid.Columns.FindIndex(col => col.Field == "Wettkampf2");
            //this.Anmeldegrid.Columns.ElementAt(index2).AllowEditing = wettk.ar2;
            //var index3 = this.Anmeldegrid.Columns.FindIndex(col => col.Field == "Wettkampf3");
            //this.Anmeldegrid.Columns.ElementAt(index3).AllowEditing = wettk.ar3;
            //var index4 = this.Anmeldegrid.Columns.FindIndex(col => col.Field == "Wettkampf4");
            //this.Anmeldegrid.Columns.ElementAt(index4).AllowEditing = wettk.ar4;

            //this.Anmeldegrid.DataBind();
        }

        protected void Anmeldegrid_ServerRowSelected(object sender, Syncfusion.JavaScript.Web.GridEventArgs e)
        {

        }
    }
}